AjaxRegionTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.ajax4jsf.taglib.html.jsp.AjaxRegionTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.taglib.html.jsp
Class AjaxRegionTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.taglib.html.jsp.AjaxRegionTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  AjaxPageTag

    public class AjaxRegionTag

extends org.ajax4jsf.webapp.taglib.UIComponentTagBase

Author:
  shura Tag for create root Ajax component. must be immediate in produced html/body. Example use in jsp: For produce correct html code in any ( ajax and non-ajax requests ), better result with <ajax:page> tag.

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AjaxRegionTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAjaxListener(java.lang.String ajaxListener)`
`void` | `setImmediate(java.lang.String immediate)`
`void` | `setJavascriptLocation(java.lang.String javascriptLocation)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setReRender(java.lang.String ajaxAreas)`
`void` | `setSelfRendered(java.lang.String selfRendered)`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AjaxRegionTag

    public AjaxRegionTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.UIComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.UIComponentTagBase`

### setReRender

    public void setReRender(java.lang.String ajaxAreas)

  Parameters:
    `ajaxAreas` - The ajaxAreas to set.

### setAjaxListener

    public void setAjaxListener(java.lang.String ajaxListener)

  Parameters:
    `ajaxListener` - The ajaxListener to set.

### setImmediate

    public void setImmediate(java.lang.String immediate)

  Parameters:
    `immediate` - The immediate to set.

### setSelfRendered

    public void setSelfRendered(java.lang.String selfRendered)

  Parameters:
    `selfRendered` - The selfRendered to set.

### setJavascriptLocation

    public void setJavascriptLocation(java.lang.String javascriptLocation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.